
# Individual Recode loaded from Stata format
# Select relevant fields
# v000 Alphabetic country code to identify the survey from which the data were collected. 
# v001 Cluster number is the number identifying the sample point as used during the field work
# v002 Household number is the number identifying the household in which the respondent was interviewed
# v003 Respondent's line number
# v005 Sample weight is an 8 digit variable with 6 implied decimal places.
#        To use the sample weight divide it by 1000000 before applying the weighting factor. 
# v008 Century month code of date of interview 
# v011 Century month code of date of birth of the respondent
# v012 Current age in completed years 
# v104 years lived in place of residence
# v106 Highest education level attended. (no education, primary, secondary,higher)
# v130 Religion
# v133 Education in single years 
# v134 De facto place of residence is the type of place in which the respondent was interviewed
#           (coutryside, town, small city, "capital, large city"  
# v149 Educational achievement recodes the education of the respondent into the following categories:
#        None, incomplete primary, complete primary, incomplete secondary, complete secondary, higher education.
# v201 Total number of children ever born.
# v208 Total number of births in the last five years 
# v209 Total number of births in the past year
# v131 Ethnicity
# v211 date of first birth (cmc)
# v212 Age of respondent at first birth
# v218 Total number of living children
# v501 current marital status
# v502 currently/formerly/never married
# v509 date of first marriage (cmc)
# v511 age at first marriage 

# s115 Religion in Ghana
# s117 Religion in Lesotho
# s118 Religion in Cote d'Ivoire

# s118 Ethnicity in Nigeria

# v208 births in last 5 years
# v613 ideal number of children

#we will take all women aged more than thresage
thresage <-14


# dummies for the ethnicities
fieldet <- c("ethn1","ethn2","ethn3","ethn4","ethn5","ethn6","ethn7","ethn8","ethn9",
"ethn10","ethn11","ethn12","ethn13","ethn14","ethn15","ethn16","ethn17",
"ethn19","ethn20","ethn21","ethn22","ethn23","ethn24","ethn25","ethn26",
"ethn27","ethn28","ethn29","ethn30","ethn31","ethn32","ethn33","ethn34",
"ethn35","ethn36","ethn37","ethn38","ethn39","ethn40","ethn41","ethn42",
"ethn43","ethn44","ethn45","ethn46","ethn47","ethn48","ethn49","ethn50",
"ethn51","ethn52","ethn53","ethn54","ethn55","ethn56","ethn57","ethn58",
"ethn59","ethn60","ethn61","ethn62","ethn63","ethn64","ethn65","ethn66",
"ethn67","ethn68","ethn69","ethn70","ethn71","ethn72","ethn73","ethn74",
"ethn75","ethn76","ethn77","ethn79","ethn80","ethn81","ethn82","ethn83",
"ethn84","ethn85","ethn86","ethn87","ethn89","ethn91","ethn92","ethn93",
"ethn94","ethn95","ethn97","ethn98","ethn99","ethn100","ethn101","ethn102",
"ethn103","ethn104","ethn105","ethn106","ethn107","ethn108","ethn109","ethn110",
"ethn111","ethn112","ethn113","ethn114","ethn115","ethn116","ethn117","ethn118",
"ethn119","ethn120","ethn121","ethn122","ethn123","ethn124","ethn125","ethn126",
"ethn127","ethn128","ethn129","ethn130","ethn131","ethn132","ethn133","ethn134",
"ethn135","ethn136","ethn137","ethn138","ethn139","ethn140","ethn141","ethn142",
"ethn143","ethn144","ethn145","ethn146","ethn147","ethn148","ethn149","ethn150",
"ethn151","ethn152","ethn153","ethn154","ethn155","ethn156","ethn157","ethn158",
"ethn159","ethn160","ethn161","ethn162","ethn163","ethn164","ethn165","ethn166",
"ethn167","ethn168","ethn169","ethn170","ethn171","ethn172","ethn173","ethn174",
"ethn175","ethn176","ethn177","ethn178","ethn180","ethn181","ethn182","ethn183",
"ethn184","ethn185","ethn186","ethn187","ethn188","ethn189","ethn190","ethn191",
"ethn192","ethn193","ethn194","ethn195","ethn196","ethn197","ethn198","ethn199",
"ethn200","ethn201","ethn202","ethn203","ethn204","ethn205","ethn206","ethn207",
"ethn208","ethn209","ethn210","ethn211","ethn212","ethn213","ethn214","ethn215",
"ethn216","ethn217","ethn218","ethn219","ethn220","ethn221","ethn222","ethn223",
"ethn224","ethn225","ethn226","ethn227","ethn228","ethn229","ethn230","ethn231",
"ethn232","ethn233","ethn234","ethn235","ethn236","ethn237","ethn238","ethn239",
"ethn240","ethn241","ethn242")


# Africa

temp <- read.dta("dhs-women\\GNIR41FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
# we keep only the relevant fields
temp <- temp[,fields]
# We will keep only women whose age is more than 24 and less than 50 (older women => mistake?)
# we do it here to reduce the size of the output
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 1,1,0)
temp$christian <- ifelse(temp$v130 == 2,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn95 <- ifelse(temp$v131 == 1,1,0)
temp$ethn7 <- ifelse(temp$v131 == 2,1,0)
temp$ethn97 <- ifelse(temp$v131 == 3,1,0)
temp$ethn98 <- ifelse(temp$v131 == 4,1,0)
temp$ethn99 <- ifelse(temp$v131 == 5,1,0)
temp$ethn100 <- ifelse(temp$v131 == 6,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\GNIR41FLm.dta")

temp <- read.dta("dhs-women\\CIIR3AFL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","s118")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$s118 == 3,1,0)
temp$christian <- ifelse(temp$s118 == 1 | temp$s118 == 2,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn58 <- ifelse(temp$v131 == 1,1,0)
temp$ethn59 <- ifelse(temp$v131 == 2,1,0)
temp$ethn60 <- ifelse(temp$v131 == 3,1,0)
temp$ethn61 <- ifelse(temp$v131 == 4,1,0)
temp$ethn62 <- ifelse(temp$v131 == 5,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\CIIR3AFLm.dta")

temp <- read.dta("dhs-women\\BFIR31FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 3,1,0)
temp$christian <- ifelse(temp$v130 == 1 | temp$v130 == 2,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn9 <- ifelse(temp$v131 == 1,1,0)
temp$ethn10 <- ifelse(temp$v131 == 3,1,0)
temp$ethn11 <- ifelse(temp$v131 == 4,1,0)
temp$ethn12 <- ifelse(temp$v131 == 5,1,0)
temp$ethn13 <- ifelse(temp$v131 == 7,1,0)
temp$ethn14 <- ifelse(temp$v131 == 8,1,0)
temp$ethn15 <- ifelse(temp$v131 == 10,1,0)
temp$ethn16 <- ifelse(temp$v131 == 11,1,0)
temp$ethn17 <- ifelse(temp$v131 == 13,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\BFIR31FLm.dta")

temp <- read.dta("dhs-women\\BJIR41FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 2,1,0)
temp$christian <- ifelse(temp$v130 == 3 | temp$v130 == 4 | temp$v130 == 5,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn1 <- ifelse(temp$v131 == 1,1,0)
temp$ethn2 <- ifelse(temp$v131 == 2,1,0)
temp$ethn3 <- ifelse(temp$v131 == 3,1,0)
temp$ethn4 <- ifelse(temp$v131 == 4,1,0)
temp$ethn5 <- ifelse(temp$v131 == 5,1,0)
temp$ethn6 <- ifelse(temp$v131 == 6,1,0)
temp$ethn7 <- ifelse(temp$v131 == 7,1,0)
temp$ethn8 <- ifelse(temp$v131 == 8,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\BJIR41FLm.dta")

temp <- read.dta("dhs-women\\NGIR4BFL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","s118","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 4,1,0)
temp$christian <- ifelse(temp$v130 == 1 | temp$v130 == 2 | temp$v130 == 3,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn156 <- ifelse(temp$s118 == 63,1,0)
temp$ethn42 <- ifelse(temp$s118 == 86,1,0)
temp$ethn157 <- ifelse(temp$s118 == 90,1,0)
temp$ethn158 <- ifelse(temp$s118 == 93,1,0)
temp$ethn159 <- ifelse(temp$s118 == 94,1,0)
temp$ethn160 <- ifelse(temp$s118 == 123,1,0)
temp$ethn26 <- ifelse(temp$s118 == 201,1,0)
temp$ethn8 <- ifelse(temp$s118 == 218,1,0)
fields <- c(c("v000","v001","strate","v002","v003","v005","v008","v011","v012","v024","v104","v133",
"v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\NGIR4BFLm.dta")

temp <- read.dta("dhs-women\\CMIR44FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 3,1,0)
temp$christian <- ifelse(temp$v130 == 1 | temp$v130 == 2 | temp$v130 == 8,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn7	<-	ifelse(temp$v131 == 2,1,0)
temp$ethn19	<-	ifelse(temp$v131 == 7,1,0)
temp$ethn20	<-	ifelse(temp$v131 == 10,1,0)
temp$ethn21	<-	ifelse(temp$v131 == 12,1,0)
temp$ethn22	<-	ifelse(temp$v131 == 18,1,0)
temp$ethn23	<-	ifelse(temp$v131 == 19,1,0)
temp$ethn24	<-	ifelse(temp$v131 == 21,1,0)
temp$ethn25	<-	ifelse(temp$v131 == 22,1,0)
temp$ethn26	<-	ifelse(temp$v131 == 29,1,0)
temp$ethn27	<-	ifelse(temp$v131 == 32,1,0)
temp$ethn28	<-	ifelse(temp$v131 == 33,1,0)
temp$ethn29	<-	ifelse(temp$v131 == 34,1,0)
temp$ethn30	<-	ifelse(temp$v131 == 35,1,0)
temp$ethn31	<-	ifelse(temp$v131 == 36,1,0)
temp$ethn32	<-	ifelse(temp$v131 == 37,1,0)
temp$ethn33	<-	ifelse(temp$v131 == 38,1,0)
temp$ethn34	<-	ifelse(temp$v131 == 39,1,0)
temp$ethn35	<-	ifelse(temp$v131 == 40,1,0)
temp$ethn36	<-	ifelse(temp$v131 == 42,1,0)
temp$ethn37	<-	ifelse(temp$v131 == 43,1,0)
temp$ethn38	<-	ifelse(temp$v131 == 44,1,0)
temp$ethn39	<-	ifelse(temp$v131 == 45,1,0)
temp$ethn40	<-	ifelse(temp$v131 == 46,1,0)
temp$ethn41	<-	ifelse(temp$v131 == 47,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\CMIR44FLm.dta")

temp <- read.dta("dhs-women\\KEIR42FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 3,1,0)
temp$christian <- ifelse(temp$v130 == 1 | temp$v130 == 2,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn101 <- ifelse(temp$v131 == 1,1,0)
temp$ethn102 <- ifelse(temp$v131 == 2,1,0)
temp$ethn103 <- ifelse(temp$v131 == 3,1,0)
temp$ethn104 <- ifelse(temp$v131 == 4,1,0)
temp$ethn105 <- ifelse(temp$v131 == 5,1,0)
temp$ethn106 <- ifelse(temp$v131 == 6,1,0)
temp$ethn107 <- ifelse(temp$v131 == 7,1,0)
temp$ethn108 <- ifelse(temp$v131 == 8,1,0)
temp$ethn109 <- ifelse(temp$v131 == 9,1,0)
temp$ethn110 <- ifelse(temp$v131 == 10,1,0)
temp$ethn111 <- ifelse(temp$v131 == 11,1,0)
temp$ethn112 <- ifelse(temp$v131 == 12,1,0)
temp$ethn113 <- ifelse(temp$v131 == 13,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\KEIR42FLm.dta")

temp <- read.dta("dhs-women\\NIIR31FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 1,1,0)
temp$christian <- ifelse(temp$v130 == 2,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn153 <- ifelse(temp$v131 == 2,1,0)
temp$ethn42 <- ifelse(temp$v131 == 4,1,0)
temp$ethn154 <- ifelse(temp$v131 == 5,1,0)
temp$ethn7 <- ifelse(temp$v131 == 7,1,0)
temp$ethn155 <- ifelse(temp$v131 == 8,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\NIIR31FLm.dta")

temp <- read.dta("dhs-women\\TZIR41FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 1,1,0)
temp$christian <- ifelse(temp$v130 == 2 | temp$v130 == 3,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\TZIR41FLm.dta")

temp <- read.dta("dhs-women\\GHIR41FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","s115")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$s115 == 7,1,0)
temp$christian <- ifelse(temp$s115 < 7,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn85 <- ifelse(temp$v131 == 1,1,0)
temp$ethn86 <- ifelse(temp$v131 == 2,1,0)
temp$ethn87 <- ifelse(temp$v131 == 3,1,0)
temp$ethn58 <- ifelse(temp$v131 == 4,1,0)
temp$ethn89 <- ifelse(temp$v131 == 5,1,0)
temp$ethn1 <- ifelse(temp$v131 == 6,1,0)
temp$ethn91 <- ifelse(temp$v131 == 8,1,0)
temp$ethn92 <- ifelse(temp$v131 == 9,1,0)
temp$ethn93 <- ifelse(temp$v131 == 10,1,0)
temp$ethn94 <- ifelse(temp$v131 == 12,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\GHIR41FLm.dta")

#temp <- read.dta("dhs-women\\AOIR51FL.dta",convert.factors=FALSE)
#fields <- c("v000","v001","v023","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","#v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715")
#temp <- temp[,fields]
#temp <- temp[temp$v012>thresage & temp$v012<50,]
#temp$islam <- NA
#temp$christian <- NA
#temp$hinduism <- NA
#temp$buddhism <- NA
#fields <- c(c("v000","v001","v023","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","#v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","#christian","hinduism","buddhism"),fieldet)
#temp <- temp[,fields]
#write.dta(temp,"tmp\\AOIR51FLm.dta")

temp <- read.dta("dhs-women\\BUIR61FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 3,1,0)
temp$christian <- ifelse(temp$v130 == 1 | temp$v130 == 2 | temp$v130 == 4 | temp$v130 == 5,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\BUIR61FLm.dta")

temp <- read.dta("dhs-women\\CFIR31FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 3,1,0)
temp$christian <- ifelse(temp$v130 == 1 | temp$v130 == 2,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn42 <- ifelse(temp$v131 == 1,1,0)
temp$ethn43 <- ifelse(temp$v131 == 2,1,0)
temp$ethn44 <- ifelse(temp$v131 == 3,1,0)
temp$ethn45 <- ifelse(temp$v131 == 4,1,0)
temp$ethn46 <- ifelse(temp$v131 == 5,1,0)
temp$ethn47 <- ifelse(temp$v131 == 6,1,0)
temp$ethn48 <- ifelse(temp$v131 == 7,1,0)
temp$ethn49 <- ifelse(temp$v131 == 8,1,0)
temp$ethn50 <- ifelse(temp$v131 == 9,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\CFIR31FLm.dta")

temp <- read.dta("dhs-women\\KMIR61FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 1,1,0)
temp$christian <- ifelse(temp$v130 == 2,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\KMIR61FLm.dta")

temp <- read.dta("dhs-women\\cdir50FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 6,1,0)
temp$christian <- ifelse(temp$v130 < 6,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- NA
temp[,fieldet] <- 0
temp$ethn51 <- ifelse(temp$v131 == 1,1,0)
temp$ethn52 <- ifelse(temp$v131 == 2,1,0)
temp$ethn53 <- ifelse(temp$v131 == 3,1,0)
temp$ethn54 <- ifelse(temp$v131 == 4,1,0)
temp$ethn55 <- ifelse(temp$v131 == 5,1,0)
temp$ethn56 <- ifelse(temp$v131 == 6,1,0)
temp$ethn57 <- ifelse(temp$v131 == 7,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\cdir50FLm.dta")

temp <- read.dta("dhs-women\\ETIR41FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 4,1,0)
temp$christian <- ifelse(temp$v130 < 4,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn63 <- ifelse(temp$v131 == 1,1,0)
temp$ethn64 <- ifelse(temp$v131 == 4,1,0)
temp$ethn65 <- ifelse(temp$v131 == 5,1,0)
temp$ethn66 <- ifelse(temp$v131 == 24,1,0)
temp$ethn67 <- ifelse(temp$v131 == 25,1,0)
temp$ethn68 <- ifelse(temp$v131 == 28,1,0)
temp$ethn69 <- ifelse(temp$v131 == 32,1,0)
temp$ethn70 <- ifelse(temp$v131 == 37,1,0)
temp$ethn71 <- ifelse(temp$v131 == 40,1,0)
temp$ethn72 <- ifelse(temp$v131 == 60,1,0)
temp$ethn73 <- ifelse(temp$v131 == 67,1,0)
temp$ethn74 <- ifelse(temp$v131 == 68,1,0)
temp$ethn75 <- ifelse(temp$v131 == 70,1,0)
temp$ethn76 <- ifelse(temp$v131 == 72,1,0)
temp$ethn77 <- ifelse(temp$v131 == 74,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\ETIR41FLm.dta")

temp <- read.dta("dhs-women\\GAIR60FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 4,1,0)
temp$christian <- ifelse(temp$v130 < 4,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn39 <- ifelse(temp$v131 == 1,1,0)
temp$ethn79 <- ifelse(temp$v131 == 2,1,0)
temp$ethn80 <- ifelse(temp$v131 == 3,1,0)
temp$ethn81 <- ifelse(temp$v131 == 4,1,0)
temp$ethn82 <- ifelse(temp$v131 == 5,1,0)
temp$ethn83 <- ifelse(temp$v131 == 6,1,0)
temp$ethn84 <- ifelse(temp$v131 == 7,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\GAIR60FLm.dta")

temp <- read.dta("dhs-women\\LSIR41FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","s117")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- 0
temp$christian <- ifelse(temp$s117 < 8,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\LSIR41FLm.dta")

temp <- read.dta("dhs-women\\LBIR51FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 2,1,0)
temp$christian <- ifelse(temp$v130 == 1,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\LBIR51FLm.dta")

temp <- read.dta("dhs-women\\MDIR31FL.dta",convert.factors=FALSE)
temp <- temp[temp$v012>thresage & temp$v012<50,]
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp$islam <- ifelse(temp$v130 == 3,1,0)
temp$christian <- ifelse(temp$v130 < 3,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\MDIR31FLm.dta")

temp <- read.dta("dhs-women\\MWIR41FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 6,1,0)
temp$christian <- ifelse(temp$v130 < 6,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn114 <- ifelse(temp$v131 == 1,1,0)
temp$ethn115 <- ifelse(temp$v131 == 2,1,0)
temp$ethn116 <- ifelse(temp$v131 == 3,1,0)
temp$ethn117 <- ifelse(temp$v131 == 4,1,0)
temp$ethn118 <- ifelse(temp$v131 == 5,1,0)
temp$ethn119 <- ifelse(temp$v131 == 6,1,0)
temp$ethn120 <- ifelse(temp$v131 == 7,1,0)
temp$ethn121 <- ifelse(temp$v131 == 8,1,0)
temp$ethn122 <- ifelse(temp$v131 == 9,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\MWIR41FLm.dta")

temp <- read.dta("dhs-women\\MLIR41FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 1,1,0)
temp$christian <- ifelse(temp$v130 == 2,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn123 <- ifelse(temp$v131 == 1,1,0)
temp$ethn97 <- ifelse(temp$v131 == 2,1,0)
temp$ethn7 <- ifelse(temp$v131 == 3,1,0)
temp$ethn124 <- ifelse(temp$v131 == 4,1,0)
temp$ethn125 <- ifelse(temp$v131 == 5,1,0)
temp$ethn126 <- ifelse(temp$v131 == 6,1,0)
temp$ethn127 <- ifelse(temp$v131 == 7,1,0)
temp$ethn128 <- ifelse(temp$v131 == 8,1,0)
temp$ethn9 <- ifelse(temp$v131 == 9,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\MLIR41FLm.dta")

temp <- read.dta("dhs-women\\MZIR62FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 2,1,0)
temp$christian <- ifelse(temp$v130 == 1 | temp$v130==4 | temp$v130==5 | temp$v130==7,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn129 <- ifelse(temp$v131 == 1,1,0)
temp$ethn130 <- ifelse(temp$v131 == 2,1,0)
temp$ethn131 <- ifelse(temp$v131 == 3,1,0)
temp$ethn132 <- ifelse(temp$v131 == 4,1,0)
temp$ethn133 <- ifelse(temp$v131 == 5,1,0)
temp$ethn134 <- ifelse(temp$v131 == 6,1,0)
temp$ethn135 <- ifelse(temp$v131 == 7,1,0)
temp$ethn136 <- ifelse(temp$v131 == 8,1,0)
temp$ethn137 <- ifelse(temp$v131 == 9,1,0)
temp$ethn138 <- ifelse(temp$v131 == 10,1,0)
temp$ethn139 <- ifelse(temp$v131 == 11,1,0)
temp$ethn140 <- ifelse(temp$v131 == 12,1,0)
temp$ethn141 <- ifelse(temp$v131 == 13,1,0)
temp$ethn142 <- ifelse(temp$v131 == 14,1,0)
temp$ethn143 <- ifelse(temp$v131 == 15,1,0)
temp$ethn144 <- ifelse(temp$v131 == 16,1,0)
temp$ethn145 <- ifelse(temp$v131 == 17,1,0)
temp$ethn146 <- ifelse(temp$v131 == 18,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\MZIR62FLm.dta")

temp <- read.dta("dhs-women\\NMIR41FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- 0
temp$christian <- ifelse(temp$v130 < 3,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn146 <- ifelse(temp$v131 == 1,1,0)
temp$ethn147 <- ifelse(temp$v131 == 2,1,0)
temp$ethn148 <- ifelse(temp$v131 == 4,1,0)
temp$ethn149 <- ifelse(temp$v131 == 5,1,0)
temp$ethn150 <- ifelse(temp$v131 == 6,1,0)
temp$ethn151 <- ifelse(temp$v131 == 7,1,0)
temp$ethn152 <- ifelse(temp$v131 == 8,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\NMIR41FLm.dta")

temp <- read.dta("dhs-women\\TGIR31FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 2,1,0)
temp$christian <- ifelse(temp$v130 > 2 & temp$v130 < 6,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn1 <- ifelse(temp$v131 == 1,1,0)
temp$ethn176 <- ifelse(temp$v131 == 2,1,0)
temp$ethn177 <- ifelse(temp$v131 == 3,1,0)
temp$ethn178 <- ifelse(temp$v131 == 4,1,0)
temp$ethn58 <- ifelse(temp$v131 == 5,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104",
"v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\TGIR31FLm.dta")

temp <- read.dta("dhs-women\\RWIR53FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 4,1,0)
temp$christian <- ifelse(temp$v130 < 4,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104",
"v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\RWIR53FLm.dta")

temp <- read.dta("dhs-women\\SNIR4HFL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 1,1,0)
temp$christian <- ifelse(temp$v130 == 2,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn161 <- ifelse(temp$v131 == 1,1,0)
temp$ethn162 <- ifelse(temp$v131 == 2,1,0)
temp$ethn163 <- ifelse(temp$v131 == 3,1,0)
temp$ethn164 <- ifelse(temp$v131 == 4,1,0)
temp$ethn165 <- ifelse(temp$v131 == 5,1,0)
temp$ethn166 <- ifelse(temp$v131 == 6,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\SNIR4HFLm.dta")

temp <- read.dta("dhs-women\\SLIR51FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 2,1,0)
temp$christian <- ifelse(temp$v130 == 1,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn167 <- ifelse(temp$v131 == 11,1,0)
temp$ethn168 <- ifelse(temp$v131 == 12,1,0)
temp$ethn169 <- ifelse(temp$v131 == 13,1,0)
temp$ethn170 <- ifelse(temp$v131 == 14,1,0)
temp$ethn171 <- ifelse(temp$v131 == 15,1,0)
temp$ethn172 <- ifelse(temp$v131 == 16,1,0)
temp$ethn173 <- ifelse(temp$v131 == 17,1,0)
temp$ethn174 <- ifelse(temp$v131 == 18,1,0)
temp$ethn175 <- ifelse(temp$v131 == 21,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\SLIR51FLm.dta")

temp <- read.dta("dhs-women\\szir51fl.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 8,1,0)
temp$christian <- ifelse(temp$v130 < 6 | temp$v130 == 7,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\szir51flm.dta")

temp <- read.dta("dhs-women\\UGIR41FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 2,1,0)
temp$christian <- ifelse(temp$v130 == 3 | temp$v130 == 4,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\UGIR41FLm.dta")

temp <- read.dta("dhs-women\\ZMIR51FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 3,1,0)
temp$christian <- ifelse(temp$v130 == 1 | temp$v130 == 2,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn180 <- ifelse(temp$v131 == 1,1,0)
temp$ethn181 <- ifelse(temp$v131 == 3,1,0)
temp$ethn182 <- ifelse(temp$v131 == 5,1,0)
temp$ethn183 <- ifelse(temp$v131 == 8,1,0)
temp$ethn117 <- ifelse(temp$v131 == 19,1,0)
temp$ethn184 <- ifelse(temp$v131 == 20,1,0)
temp$ethn185 <- ifelse(temp$v131 == 26,1,0)
temp$ethn186 <- ifelse(temp$v131 == 27,1,0)
temp$ethn187 <- ifelse(temp$v131 == 28,1,0)
temp$ethn188 <- ifelse(temp$v131 == 43,1,0)
temp$ethn114 <- ifelse(temp$v131 == 48,1,0)
temp$ethn189 <- ifelse(temp$v131 == 49,1,0)
temp$ethn121 <- ifelse(temp$v131 == 50,1,0)
temp$ethn190 <- ifelse(temp$v131 == 55,1,0)
temp$ethn191 <- ifelse(temp$v131 == 56,1,0)
temp$ethn115 <- ifelse(temp$v131 == 59,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\ZMIR51FLm.dta")

temp <- read.dta("dhs-women\\ZWIR42FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 3,1,0)
temp$christian <- ifelse(temp$v130 == 2,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\ZWIR42FLm.dta")





# MENA

temp <- read.dta("dhs-women\\EGIR42FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- NA
temp$christian <- NA
temp$hinduism <- NA
temp$buddhism <- NA
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\EGIR42FLm.dta")

temp <- read.dta("dhs-women\\JOIR42FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 1,1,0)
temp$christian <- ifelse(temp$v130 == 2,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\JOIR42FLm.dta")

temp <- read.dta("dhs-women\\MAIR43FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- NA
temp$christian <- NA
temp$hinduism <- NA
temp$buddhism <- NA
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\MAIR43FLm.dta")




# Asia

temp <- read.dta("dhs-women\\BDIR41FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022","v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 1,1,0)
temp$christian <- ifelse(temp$v130 == 4,1,0)
temp$hinduism <- ifelse(temp$v130 == 2,1,0)
temp$buddhism <- ifelse(temp$v130 == 3,1,0)
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate","v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\BDIR41FLm.dta")

temp <- read.dta("dhs-women\\KHIR42FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 2,1,0)
temp$christian <- ifelse(temp$v130 == 3,1,0)
temp$hinduism <- 0
temp$buddhism <- ifelse(temp$v130 == 1,1,0)
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\KHIR42FLm.dta")

temp <- read.dta("dhs-women\\IDIR42FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 1,1,0)
temp$christian <- ifelse(temp$v130 == 2 | temp$v130 == 3,1,0)
temp$hinduism <- ifelse(temp$v130 == 4,1,0)
temp$buddhism <- ifelse(temp$v130 == 5,1,0)
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\IDIR42FLm.dta")

temp <- read.dta("dhs-women\\NPIR41FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 3,1,0)
temp$christian <- ifelse(temp$v130 == 4,1,0)
temp$hinduism <- ifelse(temp$v130 == 1,1,0)
temp$buddhism <- ifelse(temp$v130 == 2,1,0)
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn203 <- ifelse(temp$v131 == 1,1,0)
temp$ethn204 <- ifelse(temp$v131 == 10,1,0)
temp$ethn205 <- ifelse(temp$v131 == 11,1,0)
temp$ethn206 <- ifelse(temp$v131 == 13,1,0)
temp$ethn207 <- ifelse(temp$v131 == 15,1,0)
temp$ethn208 <- ifelse(temp$v131 == 24,1,0)
temp$ethn209 <- ifelse(temp$v131 == 30,1,0)
temp$ethn210 <- ifelse(temp$v131 == 31,1,0)
temp$ethn211 <- ifelse(temp$v131 == 32,1,0)
temp$ethn212 <- ifelse(temp$v131 == 33,1,0)
temp$ethn213 <- ifelse(temp$v131 == 35,1,0)
temp$ethn214 <- ifelse(temp$v131 == 36,1,0)
temp$ethn215 <- ifelse(temp$v131 == 37,1,0)
temp$ethn216 <- ifelse(temp$v131 == 38,1,0)
temp$ethn217 <- ifelse(temp$v131 == 40,1,0)
temp$ethn218 <- ifelse(temp$v131 == 41,1,0)
temp$ethn219 <- ifelse(temp$v131 == 56,1,0)
temp$ethn220 <- ifelse(temp$v131 == 57,1,0)
temp$ethn221 <- ifelse(temp$v131 == 58,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\NPIR41FLm.dta")

temp <- read.dta("dhs-women\\pkir52fl.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- NA
temp$christian <- NA
temp$hinduism <- NA
temp$buddhism <- NA
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn222 <- ifelse(temp$v131 == 1,1,0)
temp$ethn223 <- ifelse(temp$v131 == 2,1,0)
temp$ethn224 <- ifelse(temp$v131 == 3,1,0)
temp$ethn225 <- ifelse(temp$v131 == 4,1,0)
temp$ethn226 <- ifelse(temp$v131 == 5,1,0)
temp$ethn227 <- ifelse(temp$v131 == 7,1,0)
temp$ethn228 <- ifelse(temp$v131 == 8,1,0)
temp$ethn229 <- ifelse(temp$v131 == 9,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\pkir52flm.dta")

temp <- read.dta("dhs-women\\PHIR41FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- ifelse(temp$v130 == 5,1,0)
temp$christian <- ifelse(temp$v130 == 1 | temp$v130 == 2 | temp$v130 == 3 | temp$v130 == 4,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- NA
temp[,fieldet] <- 0
temp$ethn230 <- ifelse(temp$v131 == 1,1,0)
temp$ethn231 <- ifelse(temp$v131 == 2,1,0)
temp$ethn232 <- ifelse(temp$v131 == 3,1,0)
temp$ethn233 <- ifelse(temp$v131 == 4,1,0)
temp$ethn234 <- ifelse(temp$v131 == 5,1,0)
temp$ethn235 <- ifelse(temp$v131 == 6,1,0)
temp$ethn236 <- ifelse(temp$v131 == 7,1,0)
temp$ethn237 <- ifelse(temp$v131 == 8,1,0)
temp$ethn238 <- ifelse(temp$v131 == 9,1,0)
temp$ethn239 <- ifelse(temp$v131 == 10,1,0)
temp$ethn240 <- ifelse(temp$v131 == 11,1,0)
temp$ethn241 <- ifelse(temp$v131 == 15,1,0)
temp$ethn242 <- ifelse(temp$v131 == 24,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\PHIR41FLm.dta")




# Latin America

temp <- read.dta("dhs-women\\BOIR51FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- NA
temp$christian <- NA
temp$hinduism <- NA
temp$buddhism <- NA
temp$strate <- temp$v022
temp[,fieldet] <- NA
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\BOIR51FLm.dta")

temp <- read.dta("dhs-women\\COIR61FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- NA
temp$christian <- NA
temp$hinduism <- NA
temp$buddhism <- NA
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn192 <- ifelse(temp$v131 == 1,1,0)
temp$ethn193 <- ifelse(temp$v131 == 3,1,0)
temp$ethn194 <- ifelse(temp$v131 == 5,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\COIR61FLm.dta")

temp <- read.dta("dhs-women\\HNIR62FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","v130")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- 0
temp$christian <- ifelse(temp$v130 == 1 | temp$v130 == 2,1,0)
temp$hinduism <- 0
temp$buddhism <- 0
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn195 <- ifelse(temp$v131 == 1,1,0)
temp$ethn196 <- ifelse(temp$v131 == 2,1,0)
temp$ethn197 <- ifelse(temp$v131 == 5,1,0)
temp$ethn198 <- ifelse(temp$v131 == 7,1,0)
temp$ethn199 <- ifelse(temp$v131 == 9,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\HNIR62FLm.dta")

temp <- read.dta("dhs-women\\PEIR41FL.dta",convert.factors=FALSE)
fields <- c("v000","v001","v022", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715")
temp <- temp[,fields]
temp <- temp[temp$v012>thresage & temp$v012<50,]
temp$islam <- NA
temp$christian <- NA
temp$hinduism <- NA
temp$buddhism <- NA
temp$strate <- temp$v022
temp[,fieldet] <- 0
temp$ethn200 <- ifelse(temp$v131 == 1,1,0)
temp$ethn201 <- ifelse(temp$v131 == 2,1,0)
temp$ethn202 <- ifelse(temp$v131 == 3,1,0)
fields <- c(c("v000","v001","strate", "v002","v003","v005","v008","v011","v012","v024","v104","v131","v133","v201","v211","v212","v218","v501","v502","v509","v511","v208","v613","v715","islam","christian","hinduism","buddhism"),fieldet)
temp <- temp[,fields]
write.dta(temp,"tmp\\PEIR41FLm.dta")

