
********************************************************************************
* cluster level analysis -- For Appendix
*1. Tables by continent  
	*(1) Sub-Saharan Africa
	*(2) MENA
	*(3) South and South-East Asia
	*(4) Latin America
	
*2. Tables by rich and poor countries  
	*(1) Least developed economies
	*(5) 
	*(1) Other
	*(5) 
	
*3. Tables with alternative measure for GDP (Appendix)	
		
********************************************************************************

*1. Tables by continent (Appendix)
	*5.(1) Sub-Saharan Africa
clear all
cd "C:\Users\gobbi\Dropbox\density and population growth\main-program"
use clusters.dta, clear

gen density_log = ln(1+dens90)
gen gdp_log = ln(gdp_capita)

drop if continent!=1

qui reg rate density_log calories_norm dist_water age agesq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(region_id)
outreg2 using clust-af, keep(density_log) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex replace
qui reg rate density_log calories_norm dist_water age agesq marriage ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(region_id)
outreg2 using clust-af, keep(density_log marriage) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm dist_water age agesq marriage mortal ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(region_id)
outreg2 using clust-af, keep(density_log marriage mortal) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm age dist_water agesq marriage mortal gdp_log ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(region_id)
outreg2 using clust-af, keep(density_log marriage mortal gdp_log) nocons addstat(Adjusted R2, e(r2_a)) ///
		 label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm dist_water age agesq marriage mortal gdp_log educ educsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(region_id)
outreg2 using clust-af, keep(density_log marriage mortal gdp_log educ educsq) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 	
			
	*1.(2) MENA
clear all
cd "C:\Users\gobbi\Dropbox\density and population growth\main-program"
use clusters.dta, clear

gen density_log = ln(1+dens90)
gen gdp_log = ln(gdp_capita)

drop if continent!=4

qui reg rate density_log calories_norm dist_water age agesq ///
JO EG, cluster(region_id)
outreg2 using clust-mena, keep(density_log) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex replace
qui reg rate density_log calories_norm dist_water age agesq marriage ///
JO EG, cluster(region_id)
outreg2 using clust-mena, keep(density_log marriage) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm dist_water age agesq marriage mortal ///
JO EG, cluster(region_id)
outreg2 using clust-mena, keep(density_log marriage mortal) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm age dist_water agesq marriage mortal gdp_log ///
JO EG, cluster(region_id)
outreg2 using clust-mena, keep(density_log marriage mortal gdp_log) nocons addstat(Adjusted R2, e(r2_a)) ///
		 label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm dist_water age agesq marriage mortal gdp_log educ educsq ///
JO EG, cluster(region_id)
outreg2 using clust-mena, keep(density_log marriage mortal gdp_log educ educsq) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 	
		
	*1.(3) South and South-East Asia
clear all
cd "C:\Users\gobbi\Dropbox\density and population growth\main-program"
use clusters.dta, clear

gen density_log = ln(1+dens90)
gen gdp_log = ln(gdp_capita)

drop if continent!=3

qui reg rate density_log calories_norm dist_water age agesq ///
BD KH ID PK PH, cluster(region_id)
outreg2 using clust-asia, keep(density_log) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex replace
qui reg rate density_log calories_norm dist_water age agesq marriage ///
BD KH ID PK PH, cluster(region_id)
outreg2 using clust-asia, keep(density_log marriage) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm dist_water age agesq marriage mortal ///
BD KH ID PK PH, cluster(region_id)
outreg2 using clust-asia, keep(density_log marriage mortal) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm age dist_water agesq marriage mortal gdp_log ///
BD KH ID PK PH, cluster(region_id)
outreg2 using clust-asia, keep(density_log marriage mortal gdp_log) nocons addstat(Adjusted R2, e(r2_a)) ///
		 label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm dist_water age agesq marriage mortal gdp_log educ educsq ///
BD KH ID PK PH, cluster(region_id)
outreg2 using clust-asia, keep(density_log marriage mortal gdp_log educ educsq) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 		
	
	*1. (4) Latin America
clear all
cd "C:\Users\gobbi\Dropbox\density and population growth\main-program"
use clusters.dta, clear

gen density_log = ln(1+dens90)
gen gdp_log = ln(gdp_capita)

drop if continent!=2

qui reg rate density_log calories_norm dist_water age agesq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(region_id)
outreg2 using clust-lat, keep(density_log) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex replace
qui reg rate density_log calories_norm dist_water age agesq marriage ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(region_id)
outreg2 using clust-lat, keep(density_log marriage) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm dist_water age agesq marriage mortal ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(region_id)
outreg2 using clust-lat, keep(density_log marriage mortal) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm age dist_water agesq marriage mortal gdp_log ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(region_id)
outreg2 using clust-lat, keep(density_log marriage mortal gdp_log) nocons addstat(Adjusted R2, e(r2_a)) ///
		 label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm dist_water age agesq marriage mortal gdp_log educ educsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(region_id)
outreg2 using clust-lat, keep(density_log marriage mortal gdp_log educ educsq) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 	


********************************************************************************
*2. Tables by rich and poor countries (Appendix)
	*(1) Least developed economies
	*(5) 
	*(1) Other
	*(5) 

clear all
cd "C:\Users\gobbi\Dropbox\density and population growth\main-program"
use clusters.dta, clear

gen density_log = ln(1+dens90)
gen gdp_log = ln(gdp_capita)


qui reg rate density_log calories_norm dist_water age agesq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG if country_poor==1, cluster(country)
outreg2 using clust-poor, keep(density_log) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex replace
qui reg rate density_log calories_norm dist_water age agesq marriage mortal gdp_log educ educsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG if country_poor==1, cluster(country)
outreg2 using clust-poor, keep(density_log marriage mortal gdp_log educ educsq) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 			
qui reg rate density_log calories_norm dist_water age agesq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG if country_poor==0, cluster(country)
outreg2 using clust-poor, keep(density_log) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm dist_water age agesq marriage mortal gdp_log educ educsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG if country_poor==0, cluster(country)
outreg2 using clust-poor, keep(density_log marriage mortal gdp_log educ educsq) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 				


********************************************************************************
*3. Tables with alternative measure for GDP (Appendix)

clear all
cd "C:\Users\gobbi\Dropbox\density and population growth\main-program"
use clusters-c.dta, clear

gen density_log = ln(1+dens90)
gen gdp_log = ln(gdp_capita_marc+.0000129)


reg rate density_log calories_norm age dist_water agesq marriage mortal gdp_log ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(country)
outreg2 using clust-gdp-rf, keep(density_log calories_norm age agesq marriage mortal gdp_log) nocons addstat(Adjusted R2, e(r2_a)) ///
		 label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex replace
reg rate density_log calories_norm dist_water age agesq marriage mortal gdp_log educ educsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(country)
outreg2 using clust-gdp-rf, keep(density_log calories_norm age agesq marriage mortal gdp_log educ educsq) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 		
ivregress 2sls rate calories_norm dist_water age agesq marriage mortal gdp_log /// 
educ educsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ///
BD KH ID NP PK PH BO CO HN PE JO EG ///
(density_log=dist_site), cluster(country) 
outreg2 using clust-gdp-rf, keep(density_log marriage mortal gdp_log educ educsq) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		tex 		

		
********************************************************************************
* individual level analysis, Table for  Appendix "Weighting" 
********************************************************************************	

clear all
cd "C:\Users\gobbi\Dropbox\density and population growth\main-program"
use women.dta, clear

gen density_log = ln(1+density90)
gen gdp_log = ln(gdp_capita)
gen wgt=v005/1000000

qui poisson birth density_log calories_norm dist_water ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 [pw=wgt], vce(cluster clusternumber)
outreg2 using individual-wt, keep(density_log) nocons ///
		label coefastr dec(3)  ///
		title("Dep. Variable: Children ever born, per woman")	///
		tex replace
qui poisson birth density_log calories_norm dist_water married  meanmarriage ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 [pw=wgt], vce(cluster clusternumber)
outreg2 using individual-wt, keep(density_log married  meanmarriage) nocons  ///
		label coefastr dec(3)  ///
		title("Dep. Variable: Children ever born, per woman")		///
		tex 
qui poisson birth density_log calories_norm dist_water married meanmarriage mortal  meanmortal ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 [pw=wgt], vce(cluster clusternumber)
outreg2 using individual-wt, keep(density_log married meanmarriage mortal  meanmortal) nocons  ///
		label coefastr dec(3)  ///
		title("Dep. Variable: Children ever born, per woman")		///
		tex 
qui poisson birth density_log calories_norm dist_water married meanmarriage mortal  meanmortal gdp_log /// 
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 [pw=wgt], vce(cluster clusternumber)
outreg2 using individual-wt, keep(density_log married meanmarriage mortal  meanmortal gdp_log) nocons  ///
		 label coefastr dec(3)  ///
		title("Dep. Variable: Children ever born, per woman")		///
		tex 
qui poisson birth density_log calories_norm dist_water married  meanmarriage mortal  meanmortal gdp_log /// 
educ educsq  meaneduc meaneducsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 [pw=wgt], vce(cluster clusternumber)
outreg2 using individual-wt, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq) nocons ///
		label coefastr dec(3)  ///
		title("Dep. Variable: Children ever born, per woman")		///
		tex 	
qui ivpoisson gmm  birth calories_norm dist_water married  meanmarriage mortal  meanmortal gdp_log /// 
educ educsq  meaneduc meaneducsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 (density_log = dist_site) [pw=wgt], vce(cluster clusternumber)
outreg2 using individual-wt, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq) nocons ///
		label coefastr dec(3) ///
		title("Dep. Variable: Children ever born, per woman")		///
		tex 
		

********************************************************************************
* individual level analysis, robustness -- For Appendix
	*a. (5 IV Poisson)	-- Benchmark
	*b. (5 IV Poisson)	-- restricted sample to women aged 40+
	*c. (5 IV Poisson)	-- restricted sample to countries with good data quality
	*d. (5 IV Poisson)	-- dependent variable: children born in the last 5 years
********************************************************************************

clear all
cd "C:\Users\gobbi\Dropbox\density and population growth\main-program"
use women.dta, clear

gen density_log = ln(1+density90)
gen gdp_log = ln(gdp_capita)

gen countryrobust=1 if (GA==1 | LS==1 | NM==1 | ZW==1 | EG==1 | ID==1 | NP==1 | PH==1 | CO==1 | HN==1 | PE==1 | MA==1)
replace countryrobust=0 if countryrobust!=1

qui ivpoisson gmm  birth calories_norm dist_water married meanmarriage mortal meanmortal gdp_log /// 
educ educsq  meaneduc meaneducsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 (density_log = dist_site), vce(cluster clusternumber)
outreg2 using individual-appendix, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq) nocons ///
		label coefastr dec(3) ///
		title("Dep. Variable: Children ever born, per woman")		///
		tex replace
qui ivpoisson gmm  birth calories_norm dist_water married  meanmarriage mortal  meanmortal gdp_log /// 
educ educsq  meaneduc meaneducsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d41 d42 d43 d44 d45 d46 d47 d48 d49  (density_log = dist_site) if age>39, vce(cluster clusternumber)
outreg2 using individual-appendix, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq) nocons ///
		label coefastr dec(3) ///
		title("Dep. Variable: Children ever born, per woman")		///
		tex 
qui ivpoisson gmm  birth calories_norm dist_water married  meanmarriage mortal  meanmortal gdp_log /// 
educ educsq  meaneduc meaneducsq ///
GA LS NM ZW EG ID NP PH CO HN PE ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49  (density_log = dist_site) if countryrobust==1, vce(cluster clusternumber)
outreg2 using individual-appendix, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq) nocons ///
		label coefastr dec(3) ///
		title("Dep. Variable: Children ever born, per woman")		///
		tex 
qui ivpoisson gmm  v208 calories_norm dist_water married  meanmarriage mortal  meanmortal gdp_log /// 
educ educsq  meaneduc meaneducsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49  (density_log = dist_site), vce(cluster clusternumber)
outreg2 using individual-appendix, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq) nocons ///
		label coefastr dec(3) ///
		tex replace


		