
## remove (almost) everything in the working environment.
## You will get no warning, so don't do this unless you are really sure.
rm(list = ls())

#increase memory size
memory.limit(size=NA) #reports memory size
memory.limit(size=50000)


# to import stata files
library(foreign)

#to concatenate faster
library(data.table)

#to manipulates maps
library(raster)
library(rasterVis)
library(colorspace)

# to plot maps
library(ggmap,igraph)


#to export to latex
library(stargazer)


# ======================================================================================================================
# set the directory to where the files are located
setwd("C:\\Users\\ddlc\\Documents\\Dropbox\\01. Research\\density and population growth\\main-program")

#===========================================================================
# building database
source('recode-religion-ethnicity.R')
source('build-database.R')

write.dta(cl,"clusters.dta")
write.dta(wom,"women.dta")

#to compute distance to water (very slow)
source('water-patch.R')


write.dta(cl,"clusters.dta")
write.dta(wom,"women.dta")

